Order payments
Mark an order payment paid
Marks an order’s pending manual payment paid once the store has the money, for example a cheque it received. The money is recorded as a payment of the order (payment, settled), the order payment becomes success and the order’s payment status is updated; an order now paid in full is confirmed, and a gateway payment still pending on it is marked failed. Returns the order payment and the recorded payment. Fails with a 400 when the order is cancelled, the payment isn’t a pending manual one, it is for more than the order still owes, or payment_method isn’t one of the store’s; with a 404 for an unknown order or payment; and with a 409, changing nothing, while payment records are briefly being updated.
POST
/
orders
/
{order_number}
/
payments
/
{request_number}
/
mark-paid
Mark an order payment paid
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/{order_number}/payments/{request_number}/mark-paid \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_reference_number": "<string>",
"payment_method": "<string>",
"remarks": "<string>"
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/{order_number}/payments/{request_number}/mark-paid"
payload = {
"payment_reference_number": "<string>",
"payment_method": "<string>",
"remarks": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payment_reference_number: '<string>',
payment_method: '<string>',
remarks: '<string>'
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/{order_number}/payments/{request_number}/mark-paid', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/{order_number}/payments/{request_number}/mark-paid",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'payment_reference_number' => '<string>',
'payment_method' => '<string>',
'remarks' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/{order_number}/payments/{request_number}/mark-paid"
payload := strings.NewReader("{\n \"payment_reference_number\": \"<string>\",\n \"payment_method\": \"<string>\",\n \"remarks\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/{order_number}/payments/{request_number}/mark-paid")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"payment_reference_number\": \"<string>\",\n \"payment_method\": \"<string>\",\n \"remarks\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/{order_number}/payments/{request_number}/mark-paid")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"payment_reference_number\": \"<string>\",\n \"payment_method\": \"<string>\",\n \"remarks\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Payment marked as paid.",
"success": true,
"content": {
"order_payment": {
"transaction_type": "payment",
"request_number": "<string>",
"amount": 123,
"payment_status": "pending",
"payment_date": "2023-11-07T05:31:56Z",
"payment_reference_number": "<string>",
"payment_method": "<string>",
"payment_mode": "<string>",
"icon_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"card_number": "<string>",
"card_type": "<string>"
},
"payment": {
"payment_id": "<string>",
"transaction_type": "payment",
"request_number": "<string>",
"transaction_date": "2023-11-07T05:31:56Z",
"transaction_amount": 123,
"settled_amount": 0,
"unsettled_amount": 0,
"payment_method": "<string>",
"payment_reference_number": "<string>",
"payment_mode": "bank-transfer",
"payment_gateway": "juspay",
"status": "pending",
"user_id": "<string>",
"customer_id": "<string>",
"customer_name": "<string>",
"icon_url": "<string>",
"card_number": "<string>",
"card_type": "<string>",
"bank_name": "<string>",
"wallet_name": "<string>",
"bank_account_number": "<string>",
"upi_id": "<string>",
"settlement": [
{
"settlement_option": "order",
"settlement_date": "2023-11-07T05:31:56Z",
"settled_amount": 123,
"payment_method": "<string>",
"card_number": "<string>",
"card_type": "<string>",
"upi_id": "<string>",
"bank_account_number": "<string>",
"bank_name": "<string>",
"icon_url": "<string>",
"order_number": "<string>",
"order_date": "2023-11-07T05:31:56Z",
"order_amount": 123,
"order_status": "draft",
"wallet_name": "<string>"
}
],
"allowed_actions": [
"refund"
]
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"errors": {},
"content": {},
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>"
}{
"message": "Marking a payment paid waits for the payment ledger update to finish; try again shortly",
"success": false
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>",
"error_id": "<string>"
}Authorizations
Path Parameters
Body
application/json
Was this page helpful?
⌘I
Mark an order payment paid
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/{order_number}/payments/{request_number}/mark-paid \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_reference_number": "<string>",
"payment_method": "<string>",
"remarks": "<string>"
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/{order_number}/payments/{request_number}/mark-paid"
payload = {
"payment_reference_number": "<string>",
"payment_method": "<string>",
"remarks": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payment_reference_number: '<string>',
payment_method: '<string>',
remarks: '<string>'
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/{order_number}/payments/{request_number}/mark-paid', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/{order_number}/payments/{request_number}/mark-paid",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'payment_reference_number' => '<string>',
'payment_method' => '<string>',
'remarks' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/{order_number}/payments/{request_number}/mark-paid"
payload := strings.NewReader("{\n \"payment_reference_number\": \"<string>\",\n \"payment_method\": \"<string>\",\n \"remarks\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/{order_number}/payments/{request_number}/mark-paid")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"payment_reference_number\": \"<string>\",\n \"payment_method\": \"<string>\",\n \"remarks\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/{order_number}/payments/{request_number}/mark-paid")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"payment_reference_number\": \"<string>\",\n \"payment_method\": \"<string>\",\n \"remarks\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Payment marked as paid.",
"success": true,
"content": {
"order_payment": {
"transaction_type": "payment",
"request_number": "<string>",
"amount": 123,
"payment_status": "pending",
"payment_date": "2023-11-07T05:31:56Z",
"payment_reference_number": "<string>",
"payment_method": "<string>",
"payment_mode": "<string>",
"icon_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"card_number": "<string>",
"card_type": "<string>"
},
"payment": {
"payment_id": "<string>",
"transaction_type": "payment",
"request_number": "<string>",
"transaction_date": "2023-11-07T05:31:56Z",
"transaction_amount": 123,
"settled_amount": 0,
"unsettled_amount": 0,
"payment_method": "<string>",
"payment_reference_number": "<string>",
"payment_mode": "bank-transfer",
"payment_gateway": "juspay",
"status": "pending",
"user_id": "<string>",
"customer_id": "<string>",
"customer_name": "<string>",
"icon_url": "<string>",
"card_number": "<string>",
"card_type": "<string>",
"bank_name": "<string>",
"wallet_name": "<string>",
"bank_account_number": "<string>",
"upi_id": "<string>",
"settlement": [
{
"settlement_option": "order",
"settlement_date": "2023-11-07T05:31:56Z",
"settled_amount": 123,
"payment_method": "<string>",
"card_number": "<string>",
"card_type": "<string>",
"upi_id": "<string>",
"bank_account_number": "<string>",
"bank_name": "<string>",
"icon_url": "<string>",
"order_number": "<string>",
"order_date": "2023-11-07T05:31:56Z",
"order_amount": 123,
"order_status": "draft",
"wallet_name": "<string>"
}
],
"allowed_actions": [
"refund"
]
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"errors": {},
"content": {},
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>"
}{
"message": "Marking a payment paid waits for the payment ledger update to finish; try again shortly",
"success": false
}{
"message": "<string>",
"success": true,
"code": "<string>",
"details": "<string>",
"error_id": "<string>"
}